## WebKitWebPolicyDecision WebKitWebPolicyDecision — Liason between WebKit and the application regarding asynchronous policy decisions |

## Functions

void | webkit_web_policy_decision_download ()
void | webkit_web_policy_decision_ignore ()
void | webkit_web_policy_decision_use ()

## Types and Values

| WebKitWebPolicyDecision

## Object Hierarchy

        GObject
        ╰── WebKitWebPolicyDecision

## Description

WebKitWebPolicyDecision objects are given to the application on signal emissions that deal with policy decisions, such as if a new window should be opened, or if a given navigation should be allowed. The application uses it to tell the engine what to do.

## Functions

### webkit_web_policy_decision_download ()

    void
    webkit_web_policy_decision_download (WebKitWebPolicyDecision *decision);

Will send the DOWNLOAD decision to the policy implementer.

#### Parameters

decision | a WebKitWebPolicyDecision |

Since: 1.0.3

### webkit_web_policy_decision_ignore ()

    void
    webkit_web_policy_decision_ignore (WebKitWebPolicyDecision *decision);

Will send the IGNORE decision to the policy implementer.

#### Parameters

decision | a WebKitWebPolicyDecision |

Since: 1.0.3

### webkit_web_policy_decision_use ()

    void
    webkit_web_policy_decision_use (WebKitWebPolicyDecision *decision);

Will send the USE decision to the policy implementer.

#### Parameters

decision | a WebKitWebPolicyDecision |

Since: 1.0.3

## Types and Values

### WebKitWebPolicyDecision

    typedef struct _WebKitWebPolicyDecision WebKitWebPolicyDecision;